USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_user_agr_his
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_agr_his`;
CREATE TABLE `sys_user_agr_his`
(
    `his_id`      BIGINT AUTO_INCREMENT COMMENT '主键ID',
    `agr_name`    VARCHAR(128)                       NOT NULL COMMENT '协议名称',
    `agr_ver`     VARCHAR(128)                       NOT NULL COMMENT '协议版本号',
    `create_by`   VARCHAR(64)                        NOT NULL COMMENT '创建人',
    `create_time` DATETIME DEFAULT CURRENT_TIMESTAMP NOT NULL COMMENT '创建时间',
    PRIMARY KEY `pk_id` (`his_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='用户协议签署表';


-- ----------------------------
-- Records of sys_user_agr_his
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
