USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`
(
    `notice_id`      BIGINT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '主键ID',
    `notice_title`   VARCHAR(32)                    NOT NULL COMMENT '通知标题',
    `notice_content` VARCHAR(512)                   NOT NULL COMMENT '通知信息',
    `user_id`        BIGINT UNSIGNED                NOT NULL COMMENT '用户ID',
    `read_flag`      TINYINT(1) DEFAULT FALSE       NOT NULL COMMENT '阅读标记',
    `read_time`      DATETIME                       NULL COMMENT '阅读时间',
    `create_by`      VARCHAR(32)                    NOT NULL COMMENT '创建人',
    `create_time`    DATETIME                       NOT NULL COMMENT '创建时间',

    PRIMARY KEY `pk_id` (`notice_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='系统通知';


-- ----------------------------
-- Records of sys_notice
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
