USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for wm_pkg_sup
-- ----------------------------
DROP TABLE IF EXISTS `wm_pkg_sup`;
CREATE TABLE `wm_pkg_sup`
(
    `sup_id`      BIGINT UNSIGNED AUTO_INCREMENT     NOT NULL COMMENT '监督记录ID',
    `pkg_id`      BIGINT UNSIGNED                    NOT NULL COMMENT '积分包ID',
    `sup_res`     TINYINT(1)                         NOT NULL COMMENT '监督意见',
    `remarks`     VARCHAR(512)                       NOT NULL COMMENT '备注',
    `create_by`   VARCHAR(32)                        NOT NULL COMMENT '创建人',
    `create_time` DATETIME DEFAULT CURRENT_TIMESTAMP NOT NULL COMMENT '创建时间',
    PRIMARY KEY `pk_id` (`sup_id`) USING BTREE,
    KEY `idx_pid` (`pkg_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='服务包监督记录';


-- ----------------------------
-- Records of wm_pkg_sup
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
