USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for wm_warn_user_rel
-- ----------------------------
DROP TABLE IF EXISTS `wm_warn_user_rel`;
CREATE TABLE `wm_warn_user_rel`
(
    `warn_id`     INT UNSIGNED NOT NULL COMMENT '警告ID',
    `user_id`     INT UNSIGNED NOT NULL COMMENT '试卷ID',
    `create_time` DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    PRIMARY KEY `pk_id` (`warn_id`, `user_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='警告信息阅读关系';


-- ----------------------------
-- Records of wm_warn_user_rel
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
