USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for wm_pkg_contract
-- ----------------------------
DROP TABLE IF EXISTS `wm_pkg_contract`;
CREATE TABLE `wm_pkg_contract`
(
    `cont_id`     INT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '合同ID',
    `pkg_id`      INT UNSIGNED                NOT NULL COMMENT '包ID',
    `file_id`     INT UNSIGNED                NOT NULL COMMENT '合同地址',
    `create_time` DATETIME                    NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    PRIMARY KEY `pk_id` (`cont_id`) USING BTREE,
    KEY `idx_pid` (`pkg_id`) USING BTREE,
    KEY `idx_ctime` (`create_time`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='积分包合同';


-- ----------------------------
-- Records of wm_pkg_contract
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
