USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for wm_pkg_tt_qty
-- ----------------------------
DROP TABLE IF EXISTS `wm_pkg_tt_qty`;
CREATE TABLE `wm_pkg_tt_qty`
(
    `record_id`   INT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '信息',
    `pkg_id`      INT                         NOT NULL COMMENT '企业ID',
    `tt_id`       INT                         NOT NULL COMMENT '任务类型ID',
    `tt_name`     VARCHAR(64)                 NOT NULL COMMENT '任务类型名称',
    `tt_price`    INT UNSIGNED                NOT NULL COMMENT '任务单价',
    `qty`         VARCHAR(64)                 NOT NULL COMMENT '任务类型数量',
    `create_time` DATETIME                    NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    PRIMARY KEY `pk_id` (`record_id`) USING BTREE,
    KEY `idx_pid` (`pkg_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='积分包任务类型数量';


-- ----------------------------
-- Records of wm_pkg_tt_qty
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
