USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_archive
-- ----------------------------
DROP TABLE IF EXISTS `sys_archive`;
CREATE TABLE `sys_archive`
(
    `arc_id`      BIGINT UNSIGNED AUTO_INCREMENT     NOT NULL COMMENT '归档记录ID',
    `arc_head`    VARCHAR(32)                        NOT NULL COMMENT '归档头',
    `ori_info`    VARCHAR(128)                       NOT NULL COMMENT '原始信息',
    `arc_info`    VARCHAR(128)                       NOT NULL COMMENT '归档说明',
    `arc_reason`  VARCHAR(512)                       NOT NULL COMMENT '归档原因',
    `create_by`   VARCHAR(32)                        NOT NULL COMMENT '创建人',
    `create_time` DATETIME DEFAULT CURRENT_TIMESTAMP NOT NULL COMMENT '创建时间',
    PRIMARY KEY `pk_id` (`arc_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='归档记录';


-- ----------------------------
-- Records of sys_archive
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
