USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_archive_item
-- ----------------------------
DROP TABLE IF EXISTS `sys_archive_item`;
CREATE TABLE `sys_archive_item`
(
    `item_id`       BIGINT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '归档记录ID',
    `clz_name`      VARCHAR(128)                   NOT NULL COMMENT '类名',
    `full_clz_name` VARCHAR(512)                   NOT NULL COMMENT '全类名',
    `arc_id`        BIGINT UNSIGNED                NOT NULL COMMENT '归档ID',
    `item_content`  LONGTEXT                       NOT NULL COMMENT '归档头',
    PRIMARY KEY `pk_id` (`item_id`) USING BTREE,
    KEY `idx_aid` (`arc_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='归档项记录';


-- ----------------------------
-- Records of sys_archive
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
