USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_impl_plan_details
-- ----------------------------
DROP TABLE IF EXISTS `sys_impl_plan_details`;
CREATE TABLE `sys_impl_plan_details`
(
    `details_id`    BIGINT AUTO_INCREMENT COMMENT '主键ID',
    `plan_id`       BIGINT COMMENT '计划ID',
    `qty`           BIGINT       NOT NULL COMMENT '计划任务总数',
    `total`         BIGINT       NOT NULL COMMENT '计划总值',
    `details_state` VARCHAR(32)  NOT NULL COMMENT '详情状态',
    `ckt_res1`      TINYINT(1)   NULL COMMENT '审核结果',
    `ckt_msg1`      VARCHAR(255) NULL COMMENT '审核意见',
    `ckt_time1`     DATETIME     NULL COMMENT '审核时间',
    `ckt_name1`     VARCHAR(64)  NULL COMMENT '审核人用户名',
    `ckt_res2`      TINYINT(1)   NULL COMMENT '审核结果',
    `ckt_msg2`      VARCHAR(255) NULL COMMENT '审核意见',
    `ckt_time2`     DATETIME     NULL COMMENT '审核时间',
    `ckt_name2`     VARCHAR(64)  NULL COMMENT '审核人用户名',
    `ckt_res3`      TINYINT(1)   NULL COMMENT '审核结果',
    `ckt_msg3`      VARCHAR(255) NULL COMMENT '审核意见',
    `ckt_time3`     DATETIME     NULL COMMENT '审核时间',
    `ckt_name3`     VARCHAR(64)  NULL COMMENT '审核人用户名',
    `create_by`     VARCHAR(64)  NOT NULL COMMENT '创建人',
    `update_by`     VARCHAR(64)  NOT NULL COMMENT '修改人',
    `create_time`   DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `update_time`   DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    PRIMARY KEY `pk_id` (`details_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='执行计划详情';


-- ----------------------------
-- Records of sys_impl_plan_details
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
