package com.qunzhixinxi.hnqz.common.data.mybatis;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;

import java.util.ArrayList;
import java.util.List;

@Data
@RefreshScope
@ConfigurationProperties("lettuce.mybatis")
public class HnqzMybatisProperties {

    /**
     * 是否打印可执行 sql
     */
    private boolean showSql = true;

    /**
     * 跳过表
     */
    private List<String> skipTable = new ArrayList<>();

}
