

package com.qunzhixinxi.hnqz.common.data.tenant;

import feign.RequestInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.client.ClientHttpRequestInterceptor;

/**
 * @author hnqz
 * @date 2020/4/29
 * <p>
 * 租户信息拦截
 */
@Configuration
public class HnqzTenantConfiguration {

	@Bean
	public RequestInterceptor hnqzFeignTenantInterceptor() {
		return new HnqzFeignTenantInterceptor();
	}

	@Bean
	public ClientHttpRequestInterceptor hnqzTenantRequestInterceptor() {
		return new TenantRequestInterceptor();
	}

}
