

package com.qunzhixinxi.hnqz.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.qunzhixinxi.hnqz.common.security.component.HnqzAuth2ExceptionSerializer;
import lombok.Getter;
import org.springframework.security.oauth2.common.exceptions.OAuth2Exception;

/**
 * @author hnqz
 * @date 2018/7/8 自定义OAuth2Exception
 */
@JsonSerialize(using = HnqzAuth2ExceptionSerializer.class)
public class HnqzAuth2Exception extends OAuth2Exception {

	@Getter
	private String errorCode;

	public HnqzAuth2Exception(String msg) {
		super(msg);
	}

	public HnqzAuth2Exception(String msg, Throwable t) {
		super(msg, t);
	}

	public HnqzAuth2Exception(String msg, String errorCode) {
		super(msg);
		this.errorCode = errorCode;
	}

}
