
package com.qunzhixinxi.hnqz.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.qunzhixinxi.hnqz.common.security.component.HnqzAuth2ExceptionSerializer;
import org.springframework.http.HttpStatus;

/**
 * @author hnqz
 * @date 2018/7/8
 */
@JsonSerialize(using = HnqzAuth2ExceptionSerializer.class)
public class MethodNotAllowedException extends HnqzAuth2Exception {

	public MethodNotAllowedException(String msg, Throwable t) {
		super(msg);
	}

	@Override
	public String getOAuth2ErrorCode() {
		return "method_not_allowed";
	}

	@Override
	public int getHttpErrorCode() {
		return HttpStatus.METHOD_NOT_ALLOWED.value();
	}

}
