package com.qunzhixinxi.hnqz.admin.api.constant;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 层级标签
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-11-02 10:53
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class UpmsLevel {

    // 企业等级
    @Getter
    @AllArgsConstructor
    public enum EnterpriseLevel {

        L1("L1", "一级"),
        L2("L2", "二级");

        @EnumValue
        private final String level;
        private final String description;

    }

    // 企业等级
    @Getter
    @AllArgsConstructor
    public enum DeptLevel {


        L0(0, "系统"),
        L1(1, "平台"),
        L2(2, "药企"),
        L3(3, "一级代理商"),
        L4(4, "二级代理商");

        @EnumValue
        private final int level;
        private final String description;

    }


}
