package com.qunzhixinxi.hnqz.admin.api.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 部门权限定义
 *
 * @author lixuesong
 * @date 2021年05月24日 10:24
 */
@Getter
@AllArgsConstructor
public enum DeptPermissionEnum {

	/**
	 * 部门权限类型：0:导出
	 */
	DEPT_EXPORT("0", "导出"),
	SMS("1", "短信通知"),
	SETTLEMENT_PROOF("2", "请款单"),
	ASSESSMENT("3", "合规测评"),
	PRE_CERT("4", "认证前置");

	/**
	 * 权限类型
	 */
	private String val;

	/**
	 * 描述
	 */
	private final String description;

	public String val() {
		return this.val;
	}
}
