package com.qunzhixinxi.hnqz.admin.api.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.qunzhixinxi.hnqz.common.core.constant.CommonConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code LockEnum} 用户获取枚举
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-17
 * @since ver.1.0.0
 */
@Getter
@AllArgsConstructor
public enum LockEnum {
    UN_LOCK(CommonConstants.STATUS_NORMAL, "正常"),
    LOCK(CommonConstants.STATUS_LOCK, "锁定");

    @EnumValue
    private final String val;
    private final String desc;

}
