

package com.qunzhixinxi.hnqz.admin.api.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 *  有效任务类型
 */
@Getter
@AllArgsConstructor
public enum WmScoreTaskTypeEnum {

	TASK_TYPE_ENUM19("19", "一对一专访"),
	TASK_TYPE_ENUM1("1", "医院科室推广会"),
	TASK_TYPE_ENUM2("2", "区域学术沙龙"),
	TASK_TYPE_ENUM3("3", "城市卫星会"),
	TASK_TYPE_ENUM4("4", "省级学科年会"),
	TASK_TYPE_ENUM5("5", "医院拜访"),
	TASK_TYPE_ENUM6("6", "商业公司拜访"),
	TASK_TYPE_ENUM7("7", "电子名片分享"),
	TASK_TYPE_ENUM8("8", "产品相册分享"),
	TASK_TYPE_ENUM9("9", "学术信息交流"),
	TASK_TYPE_ENUM10("12", "政策信息收集"),
	TASK_TYPE_ENUM11("13", "竞品信息收集"),
	TASK_TYPE_ENUM12("14", "库存信息收集"),
	TASK_TYPE_ENUM13("15", "医院信息收集"),
	TASK_TYPE_ENUM14("16", "商业公司信息收集"),
	TASK_TYPE_ENUM15("17", "产品使用信息收集"),
	TASK_TYPE_ENUM16("18", "药店调查"),
	TASK_TYPE_ENUM17("p-1", "会议举办"),
	TASK_TYPE_ENUM18("p-2", "客户拜访"),
	TASK_TYPE_ENUM20("p-3", "市场信息收集"),
	TASK_TYPE_ENUM21("p-4", "产品推广"),
	TASK_TYPE_ENUM22("p-5", "学术信息交流");

	/**
	 * 类型
	 */
	private final String type;

	/**
	 * 描述
	 */
	private final String description;

}
