package com.qunzhixinxi.hnqz.admin.api.dto;

import com.qunzhixinxi.hnqz.admin.api.entity.SysUser;
import com.qunzhixinxi.hnqz.common.core.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import java.util.List;
import java.util.Set;

/**
 * @author hnqz
 * @date 2017/11/5
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UserDTO extends SysUser {

    private static final long serialVersionUID = -6106669456462384210L;
    /**
     * 角色ID
     */
    private List<Integer> role;

    /**
     * 部门id
     */
    private Integer deptId;

    /**
     * 新密码
     */
    private String newpassword1;

    /**
     * 新密码
     */
    private String w1;

    /**
     * 用户id集合
     */
    private List<Integer> userIdList;

    /**
     * 上级主管
     */
    private List<Integer> parentIdList;

    /**
     * csm用户id
     */
    private Set<Integer> csmUserIdList;

    /**
     * 区域码
     */
    @NotEmpty(message = "需要至少分配一个区域", groups = {BaseEntity.Create.class})
    private List<Long> areaCodes;


    private Integer current;

    private Integer size;


}
