package com.qunzhixinxi.hnqz.admin.api.dto;

import com.qunzhixinxi.hnqz.common.core.entity.BaseEntity;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

@Data
public class UserPwd {

	//手机号
	@NotBlank(message = "用户名不能为空")
	private String userName;

	@NotBlank(message = "新密码不能为空", groups = {BaseEntity.Renew.class})
	private String p1;

	@NotBlank(message = "新密码不能为空", groups = {BaseEntity.Renew.class})
	private String p2;

	@NotBlank(message = "验证码不能为空")
	private String code;

}
