package com.qunzhixinxi.hnqz.admin.api.dto;

import lombok.AccessLevel;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * 用户签到
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2024/05/15 18:21
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class WmUserSignDTO {

    @Data
    public static final class OnTempSign {

        @NotBlank(message = "位置ID必填")
        private String locationId;

        @NotBlank(message = "任务类型必填")
        private String taskTypeId;

        @NotNull(message = "是否组合校验必填")
        private Boolean combine;

        @NotNull(message = "签到时间必填")
        private LocalDateTime signTime;

    }
}
