package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 系统通知实体
 *
 * @author jimmy
 * @date 09/07/2024 15:42
 */
@Data
@TableName(value = "sys_notice")
public final class SysNotice implements Serializable {

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer noticeId;

    @TableField(value = "notice_title")
    private String title;

    @TableField(value = "notice_content")
    private String content;

    /**
     * 目标人
     */
    private Integer userId;

    /**
     * 阅读标记
     */
    private Boolean readFlag;

    /**
     * 阅读时间
     */
    private LocalDateTime readTime;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
