package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author jimmy
 * @date 13/07/2024 11:13
 */
@Data
@TableName(value = "sys_user_cert")
public final class SysUserCertificate implements Serializable {
    private static final long serialVersionUID = -8452923730701856808L;

    @TableId(value = "cert_id", type = IdType.AUTO)
    private Integer certificateId;

    private Integer userId;

    @TableField(value = "cert_type")
    private String type;

    private Long fileId;

    @TableField(value = "prods")
    private String products;

    private String createBy;

    private LocalDateTime createTime;
}
