package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 积分包合同
 *
 * @author jimmy
 * @date 2024-08-17 21:25
 */
@Data
@TableName(value = "wm_pkg_contract")
public class WmPackageContract implements Serializable {


    private static final long serialVersionUID = 1L;

    @TableId(value = "cont_id", type = IdType.AUTO)
    private Integer contractId;

    @TableField(value = "pkg_id")
    private Integer packageId;

    private Integer fileId;

    private String sn;

    private LocalDateTime createTime;
}
