package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 积分包任务类型限制
 *
 * @author jimmy
 * @date 2024-08-17 23:29
 */
@Data
@TableName(value = "wm_pkg_tt_qty")
public class WmPackageTaskTypeQty implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer recordId;

    @TableField(value = "pkg_id")
    private Integer packageId;

    @TableField(value = "tt_id")
    private Integer taskTypeId;

    @TableField(value = "tt_name")
    private String taskTypeName;

    @TableField(value = "tt_price")
    private Integer price;

    private Integer qty;

    private LocalDateTime createTime;
}
