package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 企查查信息
 *
 * @author jimmy
 * @date 10/07/2024 10:58
 */
@Data
@TableName(value = "wm_qcc_info", autoResultMap = true)
public class WmQccInfo implements Serializable {

    @TableField(exist = false)
    private static final long serialVersionUID = -555938390544033591L;

    @TableId(type = IdType.AUTO)
    private Integer infoId;

    private String regCode;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private Map<String, Object> bizInfo;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private Map<String, Object> revokeInfo;


    @TableField(typeHandler = JacksonTypeHandler.class)
    private Map<String, Object> bankInfo;


    private String scale;


    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> partnerList;


    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> employeeList;


    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> changeList;


    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> actualControllerList;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> adminLicenseList;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> taxCreditList;


    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> shiXin;


    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> zhiXing;


    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> adminPenalty;


    @TableField(value = "exp", typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> exp;


    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> chattelMortgage;


    @TableField(typeHandler = JacksonTypeHandler.class)
    private Map<String, Object> liquidation;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> seriousIllegal;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> bankruptcy;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> sumptuary;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Map<String, Object>> taxIllegal;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private Map<String, Object> taxAbnormal;

    @TableField(value = "credit_rating", typeHandler = JacksonTypeHandler.class)
    private Map<String, Object> creditRatingReportGrade;

    private String createBy;

    private LocalDateTime createTime;


}
