package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 角色监督提醒
 *
 * @author jimmy
 * @date 13/07/2024 15:21
 */
@Data
@TableName(value = "wm_role_sup_warn")
public final class WmRoleSupervisionWarn implements Serializable {
    private static final long serialVersionUID = -3725683717343818407L;


    @TableId(type = IdType.AUTO)
    private Integer warnId;

    private Integer roleId;

    private String warnType;

    private Integer targetId;

    @TableField(value = "warn_msg")
    private String message;

    private String createBy;

    private LocalDateTime createTime;
}
