package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 任务监察意见
 *
 * @author jimmy
 * @date 2024-11-14 16:50
 */
@Data
@TableName(value = "wm_task_sup_adv")
public class WmTaskSupervisionAdvice {

    @TableId(value = "adv_id", type = IdType.AUTO)
    private Long adviceId;

    private Long taskSupervisionId;

    private String taskSupervisionContent;

    private Boolean adviceResult;

    private String remarks;

    private Boolean delFlag;

    private String createBy;

    private String updateBy;

    private LocalDateTime updateTime;

    private LocalDateTime createTime;

}
