package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 任务类型打分表
 *
 * @author gaoyang
 * @date 2020-07-01 20:20:05
 */
@Data
@TableName("wm_task_type")
public class WmTaskType implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId
    private String id;
    /**
     * 任务类型名称
     */
    private String taskTypeName;

    /**
     * 任务类型级别
     */
    private String taskTypeLevel;

    /**
     * 规则类型，1药企 2一级代理商 3二级代理商
     */
    private String status;

    /**
     * 药企ID
     */
    private Integer durgentId;

    /**
     * 药企ID
     */
    private Integer level1Id;

    /**
     * 药企ID
     */
    private Integer taskEntId;

    /**
     * 完成后可获得分
     */
    private Integer score;
    /**
     * 积分范围开始
     */
    private Integer taskScoreStart;
    /**
     * 积分范围结束
     */
    private Integer taskScoreEnd;
    /**
     * 组织机构ID
     */
    private Integer deptId;
    /**
     * 是否删除
     */
    private String delFlag;
    /**
     * 是否禁用
     */
    private String enableFlag;
    /**
     * 所属租户
     */
    private Integer tenantId;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 创建人
     */
    private Integer createUser;
    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 基础id
     */
    private String baseId;

    private String realFlag;
    /**
     * 规则id
     */
    private String ruleId;

    /**
     * 父级id
     */
    private String parentId;

    /**
     * 承接对象(1-个人,2-企业)
     */
    private String taskReceiverType;

    /**
     * 任务备注
     */
    private String taskRemark;
}
