
package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 药企给代理商设定积分规则
 *
 * @author gaoyang
 * @date 2020-07-02 23:35:21
 */
@Data
@TableName("wm_task_type_ent_ref")
public class WmTaskTypeEntRef implements Serializable {
	private static final long serialVersionUID = 1L;

	@TableId
	private Integer id;
	/**
	 * 代理商ID
	 */
	private Integer agentId;
	/**
	 * 药企ID
	 */
	private Integer drugentId;
	/**
	 * 组织机构ID
	 */
	private String deptId;
	/**
	 * 是否删除
	 */
	private String delFlag;
	/**
	 * 是否禁用
	 */
	private String enableFlag;
	/**
	 * 所属租户
	 */
	private Integer tenantId;
	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;
	/**
	 * 创建人
	 */
	private Integer createUser;
	/**
	 * 更新时间
	 */
	private LocalDateTime updateTime;
	/**
	 * 更新人
	 */
	private Integer updateUser;
}
