package com.qunzhixinxi.hnqz.admin.api.model;

import lombok.Data;

import java.io.Serializable;

/**
 * gig基本信息
 *
 * @author lixuesong
 * @date 2022年03月03日 14:26
 */
@Data
public class GigBaseInfoModel implements Serializable {

	private static final long serialVersionUID = 1350706535215124015L;

	/**
	 * 绑卡操作类型（captcha-获取验证码）
	 */
	private String bankCardOpt;

	/**
	 * 验证码
	 */
	private String captcha;

	/**
	 * 通知url
	 */
	private String notifyUrl;

	/**
	 * 请求流水号
	 */
	private String requestId;
}
