package com.qunzhixinxi.hnqz.admin.api.model.excel;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 导出结算单model
 *
 * @author lixuesong
 * @date 2023/10/10
 */
@Data
public class SettlementProofModel implements Serializable {
    private static final long serialVersionUID = -718362253014027670L;

    /**
     * 积分包列表
     */
    private List<PackageDetail> packageList;

    /**
     * 申请金额小计
     */
    private String totalSettleAmount;

    /**
     * 金额大写
     */
    private String totalSettleAmountCn;

    /**
     * 导出结算单详情
     *
     * @author lixuesong
     * @date 2023/10/10
     */
    @Data
    public static class PackageDetail implements Serializable {
        private static final long serialVersionUID = 5376038876472348072L;

        /**
         * 序号
         */
        private String number;

        /**
         * 积分包名称
         */
        private String scorePackageName;

		/**
		 * 结算人员
		 */
		private String taskUsername;

		/**
		 * 手机号
		 */
		private String phone;

		/**
		 * 开户行
		 */
		private String bankName;

		/**
		 * 银行卡号
		 */
		private String bankCardNumber;

        /**
         * 结算渠道
         */
        private String subjectLocation;

        /**
         * 实际到账金额
         */
        private String settleAmount;

        /**
         * 实际结算金额
         */
        private String actualAmount;
    }
}
