package com.qunzhixinxi.hnqz.admin.api.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 个人名片VO
 *
 * @author lixuesong
 * @date 2024/02/02
 */
@Data
public class UserBusinessCardVO implements Serializable {
	private static final long serialVersionUID = -1760227396901578806L;

	/**
	 * 用户id
	 */
	private Integer userId;

	/**
	 * 姓名
	 */
	private String realname;

	/**
	 * 手机号
	 */
	private String username;

	/**
	 * 年龄
	 */
	private Integer age;

	/**
	 * 性别，1男，2女，0未知
	 */
	private String gender;

	/**
	 * 学历
	 */
	private String degree;

	/**
	 * 医药代表资质备案号
	 */
	private String qualificationRecordNumber;

	/**
	 * 资质证书url
	 */
	private String[] qualificationsUrl;

	/**
	 * 身份证号
	 */
	private String idCardNumber;

	/**
	 * 服务企业
	 */
	private String serviceDeptName;

	/**
	 * 服务时长
	 */
	private String serviceDuration;

	/**
	 * 完成任务量
	 */
	private Integer finishTaskCount;

	/**
	 * 通过任务量
	 */
	private Integer approvedTaskCount;

	/**
	 * 审核通过率
	 */
	private String approvedTaskRate;
}
