
package com.qunzhixinxi.hnqz.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qunzhixinxi.hnqz.admin.api.vo.SysEnterpriseServiceChargeVO;
import com.qunzhixinxi.hnqz.admin.api.entity.SysDeptSub;
import com.qunzhixinxi.hnqz.admin.api.model.input.SettleAmountMonitorInput;
import com.qunzhixinxi.hnqz.admin.api.model.output.SettleAmountMonitorOutput;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 部门管理
 *
 * @author ryz
 * @date 2021-04-19 16:02:30
 */
@Mapper
public interface SysDeptSubMapper extends BaseMapper<SysDeptSub> {

	List<SettleAmountMonitorOutput> getSettleAmountMonitor(@Param("query") SettleAmountMonitorInput input);

	List<SettleAmountMonitorOutput> getDeptAmountMonitor(@Param("query") SettleAmountMonitorInput input);

	List<SettleAmountMonitorOutput> getYaoyiAmountMonitor(@Param("query") SettleAmountMonitorInput yaoyiMonitorInput);


	List<SysEnterpriseServiceChargeVO> listSysEnterpriseServiceCharge(@Param("deptId") Integer deptId);
}
