
package com.qunzhixinxi.hnqz.admin.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qunzhixinxi.hnqz.admin.api.entity.WmDaDrugEnt;
import com.qunzhixinxi.hnqz.common.data.datascope.DataScopeMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 档案-药企
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:42
 */
@Mapper
public interface WmDaDrugEntMapper extends DataScopeMapper<WmDaDrugEnt> {

	/**
	 * 分页查询
	 *
	 * @param page 分页对象
	 * @param wmDaDrugEnt 实体对象
	 * @return 分页列表
	 */
	Page<WmDaDrugEnt> selectPage(Page<WmDaDrugEnt> page, @Param("query") WmDaDrugEnt wmDaDrugEnt);

	List<WmDaDrugEnt> selectByDrugId(WmDaDrugEnt wmDaDrugEnt);

	List selectEntNameByDrugId(Integer id);
	WmDaDrugEnt selectDeptId(WmDaDrugEnt wmDaDrugEnt);

	List selectEntNameByDrugIds(Integer id);

    WmDaDrugEnt selectByDeptId(Integer deptId);

    List selectByUserDeptId(Integer deptId);
	List<Map<String, Object>> selectDeptId1(@Param("deptId") Integer deptId);

	WmDaDrugEnt selectId(WmDaDrugEnt wmDaDrugEnt);

    List<Map<String, Object>> selectEntNameByDeptId(Integer deptId);

	List selectEntNameByByDeptIds(Integer upId);

	List<WmDaDrugEnt> getListByCsoDeptId(Integer deptId);
}
