
package com.qunzhixinxi.hnqz.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qunzhixinxi.hnqz.admin.api.entity.WmTaskType;
import com.qunzhixinxi.hnqz.admin.api.entity.WmTaskTypeTree;
import com.qunzhixinxi.hnqz.admin.api.model.output.WmTaskTypeDeptOutput;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 任务类型打分表
 *
 * @author gaoyang
 * @date 2020-07-01 20:20:05
 */
@Mapper
public interface WmTaskTypeMapper extends BaseMapper<WmTaskType> {

    List<WmTaskType> selectByRuleId(WmTaskType wmTaskType);

    List<WmTaskTypeTree> getWmTaskType(@Param("query") WmTaskType wmTaskType);

	List<WmTaskTypeTree> getWmTaskTypeYX(@Param("query")WmTaskType wmTaskType);

	List<WmTaskTypeDeptOutput> getTaskTypeDeptList(@Param("query")WmTaskType wmTaskType);
}
