package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.entity.MedicalEquipment;

import java.util.List;

/**
 * 医疗器械
 *
 * @author lixuesong
 * @date 2022-11-08 10:03:50
 */
public interface MedicalEquipmentService extends IService<MedicalEquipment> {

    /**
     * 查询指定企业对应的医疗器械
     *
     * @param deptId 企业ID
     * @return 医疗器械列表
     */
    List<MedicalEquipment> listByDrugId(Integer deptId);
}
