package com.qunzhixinxi.hnqz.admin.service;

import com.qunzhixinxi.hnqz.common.core.util.R;

/**
 * 短信服务
 *
 * @author hnqz
 * @date 2018/11/14
 */
public interface MobileService {

    /**
     * 发送手机验证码
     *
     * @param mobile mobile
     * @return code
     */
    R<Boolean> sendSmsCode(String mobile);

    /**
     * 忘记密码发送验证码
     *
     * @param mobile mobile
     * @return code
     */
    R<Boolean> sendSmsCode1(String mobile);


    /**
     * 发送手机验证码
     *
     * @param mobile mobile
     * @return code
     */
    R<Boolean> sendSmsCodePc(String mobile);

    /**
     * 校验验证码
     *
     * @param code 校验验证码
     * @return 校验结果
     */
    default Boolean verifyCode(String mobile, String code) {
        return Boolean.FALSE;
    }
}
