package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.entity.SysRole;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author hnqz
 * @since 2017-10-29
 */
public interface SysRoleService extends IService<SysRole> {

    /**
     * 通过用户ID，查询角色信息
     *
     * @param userId 用户ID
     * @return 用户列表
     */
    List<SysRole> findRolesByUserId(Integer userId);

    /**
     * 通过角色ID，删除角色
     *
     * @param id 角色ID
     * @return 删除结果
     */
    Boolean removeRoleById(Integer id);

    /**
     * 获取企业level
     *
     * @return 企业level
     */
    int getEntLevel();


}
