
package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.entity.WmDaPharmacy;
import com.qunzhixinxi.hnqz.admin.api.model.excel.BatchPharmacyExcelModel;
import com.qunzhixinxi.hnqz.common.core.util.R;

import java.util.List;
import java.util.Map;

/**
 * 档案-药店
 *
 * @author pigx code generator
 * @date 2020-09-23 21:17:34
 */
public interface WmDaPharmacyService extends IService<WmDaPharmacy> {

    R approvalPharmacy(String taskId);

	R updateByapproval(Map<String, String> map);

	R updateByapprovalForManualOperation(Map<String, String> map);

	/**
	 * 根据经纬度查询
	 *
	 * @param wmDaPharmacy
	 * @return
	 */
	List<WmDaPharmacy> listByPoint(WmDaPharmacy wmDaPharmacy);

	/**
	 * 批量转换经纬度
	 */
	void parseAddress();

	/**
	 * 批量导入
	 *
	 * @param excelModelList 药店列表
	 * @return 结果
	 */
    Map<String, String> batchByExcel(List<BatchPharmacyExcelModel> excelModelList);
}
