package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.dto.WmQuizDTO;
import com.qunzhixinxi.hnqz.admin.api.entity.WmDrugQuizRelation;
import com.qunzhixinxi.hnqz.common.security.service.HnqzUser;

/**
 * 药品问卷关系服务
 *
 * @author jimmy
 * @date 07/07/2024 15:38
 */
public interface WmDrugQuizRelationService extends IService<WmDrugQuizRelation> {

    /**
     * 药品绑定问卷
     *
     * @param resource 绑定信息
     * @param user     操作人
     * @return 绑定结果
     */
    Boolean bind(WmQuizDTO.OnDrugBind resource, HnqzUser user);
}
