package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.dto.WmPkgDTO;
import com.qunzhixinxi.hnqz.admin.api.entity.WmPackageRedemptionNotice;
import com.qunzhixinxi.hnqz.common.security.service.HnqzUser;

/**
 * 执行包兑付通知服务
 *
 * @author jimmy
 * @date 13/07/2024 18:04
 */
public interface WmPackageRedemptionNoticeService extends IService<WmPackageRedemptionNotice> {

    Boolean createPackageRedemptionNotice(WmPkgDTO.OnRedemptionNoticeCreate resource, HnqzUser user);


    boolean hasNotice(Integer packageId, Integer step);

    boolean hasRead(Integer packageId);

    Boolean readRedemptionNotice(WmPkgDTO.OnNoticeRead resource, HnqzUser user);

    Boolean doAcceptNotice(WmPkgDTO.OnAcceptNotice resource, HnqzUser user);
}
