package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.entity.WmPackageTaskTypeQty;

import java.util.Collection;
import java.util.List;

/**
 * 积分包任务类型数量
 *
 * @author jimmy
 * @date 2024-08-18 12:30
 */
public interface WmPackageTaskTypeQtyService extends IService<WmPackageTaskTypeQty> {

    /**
     * 获取积分包的任务类型数量关系
     *
     * @param pkgIds 积分包ID
     * @return 管理列表
     */
    List<WmPackageTaskTypeQty> listPkgTaskTypeQtyByPkgIds(Collection<Integer> pkgIds);
}
