
package com.qunzhixinxi.hnqz.admin.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qunzhixinxi.hnqz.admin.api.entity.WmTaskTypeEntRef;
import com.qunzhixinxi.hnqz.admin.mapper.WmTaskTypeEntRefMapper;
import com.qunzhixinxi.hnqz.admin.service.WmTaskTypeEntRefService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 药企给代理商设定积分规则
 *
 * @author gaoyang
 * @date 2020-07-02 23:35:21
 */
@Service
@AllArgsConstructor
public class WmTaskTypeEntRefServiceImpl extends ServiceImpl<WmTaskTypeEntRefMapper, WmTaskTypeEntRef> implements WmTaskTypeEntRefService {

    private final WmTaskTypeEntRefMapper wmTaskTypeEntRefMapper;

    @Override
    public List<WmTaskTypeEntRef> selectByAgentId(Integer agentId) {
        return wmTaskTypeEntRefMapper.selectByAgentId(agentId);
    }
}
