package com.qunzhixinxi.hnqz.report.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.entity.SysFile;
import com.qunzhixinxi.hnqz.common.core.util.R;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.FileInputStream;
import java.io.InputStream;
import java.util.Map;

/**
 * 文件管理
 *
 * @author Luckly
 * @date 2019-06-18 17:18:42
 */
public interface SysFileService extends IService<SysFile> {

    /**
     * 上传文件流
     *
     * @param fileName    文件名
     * @param inputStream 输入流
     * @return {@link R} 结果
     */
    R uploadFileAllUrlRealName(String fileName, FileInputStream inputStream);

    /**
     * 上传文件
     *
     * @param file 文件
     * @return 信息
     */
    R<Map<String, String>> uploadFileAllUrlRealName(MultipartFile file, String username);

}
