package com.qunzhixinxi.hnqz.report.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.entity.WmDaDrugEntDrugtable;

import java.util.List;

/**
 * 档案-药企药品
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:42
 */
public interface WmDaDrugEntDrugtableService extends IService<WmDaDrugEntDrugtable> {

	/**
	 * 获取药品列表
	 *
	 * @param drugProducerList 关联药品生产厂商名称
	 * @return 名称列表
	 */
	List<String> listDrugByDrugEntName(String[] drugProducerList);

}
