package com.qunzhixinxi.hnqz.report.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.entity.WmTask;
import org.apache.ibatis.annotations.Param;

import java.sql.Timestamp;
import java.util.List;
import java.util.Map;


/**
 * 任务表
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:25
 */
public interface WmTaskService extends IService<WmTask> {

    List<Map<String, Object>> getTaskListByIdsOld(WmTask wmTask);
    List<Map<String, Object>> getTaskListByIdsJs(WmTask wmTask);
    List<WmTask> getTaskListByIdsReturnWmtaskInfo(WmTask wmTask);
    Map<String, Timestamp> getMaxCreateTime(@Param("query") WmTask wmTask);
    List<Map<String, Object>> getTaskListByIdsCount(WmTask wmTask);
    List<Map<String, Object>> getTaskListByIdsZd(WmTask wmTask);
    List<Map<String, Object>> getTaskListByIdsZdJs(WmTask wmTask);
    List<Map<String, Object>> getTaskListByIds(WmTask wmTask);


}
