package com.qunzhixinxi.hnqz.report.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qunzhixinxi.hnqz.admin.api.entity.WmTask;
import com.qunzhixinxi.hnqz.report.mapper.WmTaskMapper;
import com.qunzhixinxi.hnqz.report.service.WmTaskService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.sql.Timestamp;
import java.util.List;
import java.util.Map;

/**
 * 任务表
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:25
 */
@Service
@AllArgsConstructor
@Slf4j
public class WmTaskServiceImpl extends ServiceImpl<WmTaskMapper, WmTask> implements WmTaskService {


    @Override
    public List<Map<String, Object>> getTaskListByIdsOld(WmTask wmTask) {
        return baseMapper.getTaskListByIdsOld(wmTask);
    }

    @Override
    public List<Map<String, Object>> getTaskListByIdsJs(WmTask wmTask) {
        return baseMapper.getTaskListByIdsJs(wmTask);
    }

    @Override
    public List<WmTask> getTaskListByIdsReturnWmtaskInfo(WmTask wmTask) {
        return baseMapper.getTaskListByIdsReturnWmtaskInfo(wmTask);
    }

    @Override
    public Map<String, Timestamp> getMaxCreateTime(WmTask wmTask) {
        return baseMapper.getMaxCreateTime(wmTask);
    }

    @Override
    public List<Map<String, Object>> getTaskListByIdsCount(WmTask wmTask) {
        return baseMapper.getTaskListByIdsCount(wmTask);
    }

    @Override
    public List<Map<String, Object>> getTaskListByIdsZd(WmTask wmTask) {

        return baseMapper.getTaskListByIdsZd(wmTask);
    }

    @Override
    public List<Map<String, Object>> getTaskListByIdsZdJs(WmTask wmTask) {

        return baseMapper.getTaskListByIdsZdJs(wmTask);
    }

    @Override
    public List<Map<String, Object>> getTaskListByIds(WmTask wmTask) {
        return baseMapper.getTaskListByIds(wmTask);
    }



}
