USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_plan_pkg
-- ----------------------------
DROP TABLE IF EXISTS `sys_plan_pkg`;
CREATE TABLE `sys_plan_pkg`
(
    `plan_id`     BIGINT   NOT NULL COMMENT '计划ID',
    `pkg_id`      BIGINT   NOT NULL COMMENT '积分包ID',
    `create_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    PRIMARY KEY `pk_id` (`plan_id`, `pkg_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='计划积分包ID';


-- ----------------------------
-- Records of sys_plan_pkg
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
