USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_chain_node_check_his
-- ----------------------------
DROP TABLE IF EXISTS `sys_chain_node_check_his`;
CREATE TABLE `sys_chain_node_check_his`
(
    `his_id`       BIGINT AUTO_INCREMENT COMMENT 'Id',
    `node_id`      BIGINT       NOT NULL COMMENT '节点ID',
    `target_id`    BIGINT       NOT NULL COMMENT '目标ID',
    `check_result` TINYINT(1)   NOT NULL COMMENT '审核结果',
    `check_msg`    VARCHAR(255) NOT NULL COMMENT '结果描述',
    `create_by`    VARCHAR(64)  NOT NULL DEFAULT 'admin' COMMENT '创建人',
    `update_by`    VARCHAR(64)  NOT NULL DEFAULT 'admin' COMMENT '修改人',
    `create_time`  DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `update_time`  DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY `pk_id` (`his_id`) USING BTREE
) ENGINE = InnoDB
    COMMENT ='审批链节点审核历史';


SET FOREIGN_KEY_CHECKS = 1;
