USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_user_cert
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_cert`;
CREATE TABLE `sys_user_cert`
(
    `cert_id`     BIGINT UNSIGNED AUTO_INCREMENT     NOT NULL COMMENT '证书ID',
    `user_id`     BIGINT UNSIGNED                    NOT NULL COMMENT '用户ID',
    `cert_type`   VARCHAR(8)                         NOT NULL COMMENT '证书类型',
    `file_id`     BIGINT UNSIGNED                    NOT NULL COMMENT '证书上传ID',
    `prods`       VARCHAR(2048)                      NULL COMMENT '绑定的产品',
    `create_by`   VARCHAR(32)                        NOT NULL COMMENT '创建人',
    `create_time` DATETIME DEFAULT CURRENT_TIMESTAMP NOT NULL COMMENT '创建时间',
    PRIMARY KEY `pk_id` (`cert_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='用户证书';


-- ----------------------------
-- Records of sys_user_cert
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
