USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for wm_role_sup_warn
-- ----------------------------
DROP TABLE IF EXISTS `wm_role_sup_warn`;
CREATE TABLE `wm_role_sup_warn`
(
    `warn_id`     BIGINT UNSIGNED AUTO_INCREMENT     NOT NULL COMMENT '警告ID',
    `warn_type`   VARCHAR(16)                        NOT NULL COMMENT '警告类型',
    `role_id`     BIGINT UNSIGNED                    NOT NULL COMMENT '角色ID',
    `target_id`   BIGINT UNSIGNED                    NOT NULL COMMENT '预警对象',
    `warn_msg`    VARCHAR(255)                       NOT NULL COMMENT '预警类型',
    `create_by`   VARCHAR(32)                        NOT NULL COMMENT '创建人',
    `create_time` DATETIME DEFAULT CURRENT_TIMESTAMP NOT NULL COMMENT '创建时间',
    PRIMARY KEY `pk_id` (`warn_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='角色预警信息';


-- ----------------------------
-- Records of wm_role_sup_warn
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
