USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_ent_area
-- ----------------------------
DROP TABLE IF EXISTS `sys_ent_area`;
CREATE TABLE `sys_ent_area`
(
    `ent_id`      BIGINT   NOT NULL COMMENT '用户ID',
    `area_id`     BIGINT   NOT NULL COMMENT '主键ID',
    `create_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    PRIMARY KEY `pk_id` (`ent_id`, `area_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='企业区域关系表';


-- ----------------------------
-- Records of sys_ent_area
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
