USE `cnbg_20240511_001`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_impl_plan_details_item
-- ----------------------------
DROP TABLE IF EXISTS `sys_impl_plan_details_item`;
CREATE TABLE `sys_impl_plan_details_item`
(
    `item_id`     BIGINT AUTO_INCREMENT COMMENT '主键ID',
    `details_id`  BIGINT      NOT NULL COMMENT '计划ID',
    `tt_name`     VARCHAR(64) NOT NULL COMMENT '任务类型名称',
    `tt_score`    BIGINT      NOT NULL COMMENT '任务类型',
    `tt_id`       BIGINT      NOT NULL COMMENT '任务类型ID',
    `tt_qty`      BIGINT      NOT NULL COMMENT '任务类型数量',
    `tt_subtotal` BIGINT      NOT NULL COMMENT '任务类型小记',
    PRIMARY KEY `pk_id` (`item_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='执行计划详情项';


-- ----------------------------
-- Records of sys_impl_plan_details_item
-- ----------------------------
BEGIN;
COMMIT;


SET FOREIGN_KEY_CHECKS = 1;
