
package com.qunzhixinxi.hnqz.common.gateway.annotation;

import com.qunzhixinxi.hnqz.common.gateway.configuration.DynamicRouteAutoConfiguration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * @author hnqz
 * @date 2018/11/5
 * <p>
 * 开启hnqz 动态路由
 */
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@Import(DynamicRouteAutoConfiguration.class)
public @interface EnableHnqzDynamicRoute {

}
