
package com.qunzhixinxi.hnqz.common.security.annotation;

import com.qunzhixinxi.hnqz.common.security.component.HnqzResourceServerAutoConfiguration;
import com.qunzhixinxi.hnqz.common.security.component.HnqzSecurityBeanDefinitionRegistrar;
import org.springframework.context.annotation.Import;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
import org.springframework.security.oauth2.config.annotation.web.configuration.EnableResourceServer;

import java.lang.annotation.*;

/**
 * @author hnqz
 * @date 2018/11/10
 * <p>
 * 资源服务注解
 */
@Documented
@Inherited
@EnableResourceServer
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@EnableGlobalMethodSecurity(prePostEnabled = true)
@Import({ HnqzResourceServerAutoConfiguration.class, HnqzSecurityBeanDefinitionRegistrar.class })
public @interface EnableHnqzResourceServer {

}
