
package com.qunzhixinxi.hnqz.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.qunzhixinxi.hnqz.common.security.component.HnqzAuth2ExceptionSerializer;

/**
 * @author hnqz
 * @date 2018/7/8
 */
@JsonSerialize(using = HnqzAuth2ExceptionSerializer.class)
public class InvalidException extends HnqzAuth2Exception {

	public InvalidException(String msg, Throwable t) {
		super(msg);
	}

	@Override
	public String getOAuth2ErrorCode() {
		return "invalid_exception";
	}

	@Override
	public int getHttpErrorCode() {
		return 426;
	}

}
