package com.qunzhixinxi.hnqz.admin.api.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.qunzhixinxi.hnqz.common.core.constant.CommonConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code DelEnum} 删除状态枚举
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-17
 * @since ver.1.0.0
 */
@Getter
@AllArgsConstructor
public enum DelEnum {
    NOT_DEL(CommonConstants.STATUS_NORMAL, "OK"),
    DELETED(CommonConstants.STATUS_DEL, "已删除");

    @EnumValue
    private final String val;
    private final String desc;

}
