package com.qunzhixinxi.hnqz.admin.api.dto;

import lombok.AccessLevel;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 归档dto
 *
 * @author jimmy
 * @date 2024-11-22 21:49
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class SysArchiveDto {

    @Data
    public static class OnPlanArchive {

        @NotNull(message = "计划ID必填")
        private Integer planId;

        @NotBlank(message = "归档信息必填")
        private String archiveReason;

        @NotBlank(message = "确认计划名称必填")
        private String confirmPlanName;

    }


}
