package com.qunzhixinxi.hnqz.admin.api.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 个人名片DTO
 *
 * @author lixuesong
 * @date 2024/02/01
 */
@Data
public class UserBusinessCardDTO implements Serializable {
	private static final long serialVersionUID = 1096929709311932769L;

	/**
	 * 用户id
	 */
	@NotNull(message = "用户id必填")
	private Integer userId;

	/**
	 * 性别，1男，2女，0未知
	 */
	private String gender;

	/**
	 * 学历
	 */
	private String degree;

	/**
	 * 医药代表资质备案号
	 */
	private String qualificationRecordNumber;

	/**
	 * 资质证书url
	 */
	private String[] qualificationsUrl;

	/**
	 * 姓名
	 */
	private String realname;
	/**
	 * 身份证号
	 */
	private String idCardNumber;
}
