package com.qunzhixinxi.hnqz.admin.api.dto;

import lombok.AccessLevel;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.Map;

/**
 * @author jimmy
 * @date 09/07/2024 18:05
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class WmReportDto {

    @Data
    public static class OnBatchCheck{

        @NotBlank(message = "报告ID必填")
        private String reportId;

        @NotEmpty(message = "任务审核节点映射必填")
        private Map<String, Integer> taskIdToNodeIdMap;

        @NotBlank(message = "审核信息必填")
        private String approvalOpinion;

        private String approvalInfo;

    }
}
