package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 系统归档实体
 *
 * @author jimmy
 * @date 2024-11-22 21:18
 */
@Data
@TableName(value = "sys_archive")
public final class SysArchiveEntity {

    @TableId(value = "arc_id", type = IdType.AUTO)
    private Integer archiveId;

    @TableField(value = "arc_head")
    private String archiveHead;

    @TableField(value = "ori_info")
    private String originInfo;

    @TableField(value = "arc_info")
    private String archiveInfo;

    @TableField(value = "arc_reason")
    private String archiveReason;

    private String createBy;

    private LocalDateTime createTime;
}
