package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @author jimmy
 * @date 2024-11-24 15:56
 */
@Data
@TableName(value = "sys_archive_item")
public class SysArchiveItem implements Serializable {

    @TableId(value = "item_id", type = IdType.AUTO)
    private Integer itemId;

    @TableField(value = "clz_name")
    private String className;

    @TableField(value = "full_clz_name")
    private String fullClassName;

    private String itemContent;

    @TableField(value = "arc_id")
    private Integer archiveId;

}
