package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 企业合同信息
 *
 * @author jimmy
 * @date 2024-08-17 23:04
 */
@Data
@TableName(value = "sys_ent_cont_info")
public class SysEntContractInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "info_id", type = IdType.AUTO)
    private Integer infoId;

    @TableField(value = "ent_id")
    private Integer deptId;

    private String entName;

    @TableField(value = "reg_code")
    private String regCode;

    @TableField(value = "ent_addr")
    private String address;

    @TableField(value = "ent_resp_name")
    private String respName;

    @TableField(value = "ent_contact_name")
    private String contactName;

    @TableField(value = "ent_contact_phone")
    private String contactPhone;

    @TableField(value = "ent_bank_name")
    private String bankName;

    @TableField(value = "ent_bank_no")
    private String bankNo;

    @TableField(value = "ent_bank_acc")
    private String bankAccount;
}
