package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 企业区域关系表
 *
 * @TableName sys_ent_area
 */
@Data
@TableName(value = "sys_ent_area")
public class SysEnterpriseArea implements Serializable {
    /**
     * 用户ID
     */
    private Long entId;

    /**
     * 主键ID
     */
    private Long areaId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}