package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 执行计划详情项实体
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2024/05/19 20:08
 */
@Data
@TableName(value = "sys_impl_plan_details_item")
public class SysImplPlanDetailsItem implements Serializable {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Integer itemId;

    /**
     * 计划详情ID
     */
    private Integer detailsId;

    /**
     * 任务类型ID
     */
    @TableField(value = "tt_id")
    private Integer taskTypeId;

    /**
     * 任务类型名称
     */
    @TableField(value = "tt_name")
    private String taskTypeName;

    /**
     * 单位得分
     */
    @TableField(value = "tt_score")
    private Integer score;

    /**
     * 任务类型数量
     */
    @TableField(value = "tt_qty")
    private Integer qty;

    /**
     * 任务类型小记
     */
    @TableField(value = "tt_subtotal")
    private Long subtotal;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}