package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 用户区域关系表
 * @TableName sys_user_area
 */
@Data
@TableName(value ="sys_user_area")
public class SysUserArea implements Serializable {
    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 主键ID
     */
    private Long areaId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}