package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 管理员和产品关系
 *
 * @author jimmy
 * @date 2024-10-20 14:05
 */
@Data
@TableName(value = "sys_user_drug")
public class SysUserDrug implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer recordId;

    private Integer userId;

    private Integer drugId;

    private String createBy;

    private LocalDateTime createTime;

}
