package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.qunzhixinxi.hnqz.admin.api.model.WmEvaluationResultModel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 服务商评价实体
 *
 * @author jimmy
 * @date 2024-07-07 11:45
 */
@Data
@TableName(value = "wm_agent_eval", autoResultMap = true)
public class WmAgentEvaluation implements Serializable {

    private static final long serialVersionUID = 8155202747309692397L;

    @TableId(value = "eval_id", type = IdType.AUTO)
    private Long evalId;

    private Integer deptId;

    private String evalType;

    private String targetName;

    private LocalDate evalTime;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private WmEvaluationResultModel evalRes;

    private String adminName;

    private LocalDate signDate;

    private String createBy;

    private String updateBy;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;
}
