package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * {@code WmReportExportRecord}
 * <p>
 * 报告导出记录
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/12/09 16:22
 */
@Data
public class WmReportExportRecord implements Serializable {
	private static final long serialVersionUID = 223686558735172743L;


	@TableId(value = "record_id", type = IdType.AUTO)
	private Integer id;

	@TableField(value = "report_no")
	private String reportNum;

	@TableField(value = "report_title")
	private String title;

	private Integer deptId;

	private Integer exportStatus;

	private String createBy;

	@TableField(value = "oss_url")
	private String url;

	private LocalDateTime createdTime;

	private LocalDateTime finishTime;

}
