package com.qunzhixinxi.hnqz.admin.api.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

/**
 * 计划详情
 *
 * @author jimmy
 * @date 2024-10-12 16:30
 */
@Data
public class PlanDetailsExportModel {


    @ExcelProperty(value = "详情ID")
    @ColumnWidth(16)
    private String detailsId;

    @ExcelProperty(value = "所属区域")
    @ColumnWidth(32)
    private String consignor;

    @ExcelProperty(value = "承接对象")
    @ColumnWidth(48)
    private String consignee;

    @ExcelProperty(value = "计划名称")
    @ColumnWidth(48)
    private String planName;

    @ExcelProperty(value = "所属时间")
    @ColumnWidth(48)
    private String period;

    @ExcelProperty(value = "计划总值")
    @ColumnWidth(16)
    private String total;

    @ExcelProperty(value = "服务内容明细")
    @ColumnWidth(128)
    private String summary;

    @ExcelProperty(value = "审核结果")
    @ColumnWidth(16)
    private String result;

    @ExcelProperty(value = "审核意见")
    @ColumnWidth(48)
    private String msg;

    @ExcelProperty(value = "当前审核节点状态（系统用）")
    @ColumnWidth(16)
    private String currentState;


}
