package com.qunzhixinxi.hnqz.admin.api.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

/**
 * 服务计划导出模型
 *
 * @author jimmy
 * @date 2024-10-10 11:49
 */
@Data
public class PlanInfoExportModel {

    @ExcelProperty("计划ID")
    @ColumnWidth(value = 32)
    private String planId;

    @ExcelProperty("计划名称")
    @ColumnWidth(value = 128)
    private String planName;

    @ExcelProperty("产品名称")
    @ColumnWidth(value = 64)
    private String skuName;

    @ExcelProperty("计划类型")
    @ColumnWidth(value = 32)
    private String planType;

    @ExcelProperty("计划值")
    @ColumnWidth(value = 32)
    private String planScore;

    @ExcelProperty("所属年度")
    @ColumnWidth(value = 32)
    private String year;

    @ExcelProperty(value = "所属季度")
    @ColumnWidth(value = 32)
    private String quarter;

    @ExcelProperty(value = "承接对象")
    @ColumnWidth(value = 64)
    private String consignee;

    @ExcelProperty(value = "审核意见")
    @ColumnWidth(value = 32)
    private String checkResult;

    @ExcelProperty(value = "审核说明")
    @ColumnWidth(value = 64)
    private String checkMarks;
}
