package com.qunzhixinxi.hnqz.admin.api.model.input;

import com.qunzhixinxi.hnqz.admin.api.entity.WmScorePackage;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 结算页面输出
 */
@Data
public class WmScorePackageSettleOutput {

	private String id;

	private Integer invoiceCategory;

	/**
	 * 发票类目名称
	 */
	private String categoryName;

	private BigDecimal settleAmount;

	private BigDecimal actualAmount;

	private String status;

	private String settleStatus;

	/**
	 * 结算状态名称
	 */
	private String settleStatusName;

	private String enableType;

	private String taskAddFlag;

	private String sendPackageDeptId;

	private String packageFinishStatus;

	private String packageEntName;

	private String packageType1;

	private String packageType2;

	private String description;

	private String scorePackageName;

	/**
	 * 关联积分包id
	 */
	private String relationScoreId;

	/**
	 * 关联积分包名称
	 */
	private String relationScoreName;

	/**
	 * 积分包编号
	 */
	private String packageSn;

	/**
	 * 业务提交结算时间
	 */
	private String settlementDate;

	private LocalDateTime createTime;

	private String belongDate;

	private String score;

	private Integer ytj;

	private Integer ysh;

	private Integer dsh;

	private String userNames;

	private String userPhones;

	/**
	 * 身份证号
	 */
	private String idCardNums;

	private String subType;

	/**
	 * 结算渠道名称
	 */
	private String subjectLocationName;

	/**
	 * 积分包来源， 0->手动， 1->线上
	 */
	private String sourceType;

	private String settleNoteNumber;

	/**
	 * 订单编号
	 */
	private String omsOrderSn;

	/**
	 * 提交到零工时间
	 */
	private LocalDateTime subToGigTime;

	/**
	 * 回调时间(到账时间)
	 */
	private LocalDateTime notifyTime;

	/**
	 * 发票号码
	 */
	private String invoiceNumber;

	/**
	 * 发票文件
	 */
	private List<WmScorePackage.FileUrlObj> invoiceFile;

	/**
	 * 接单对象范围
	 */
	private String packageUserScope;

	/**
	 * 接单对象范围名称
	 */
	private String packageUserScopeName;

}
