
package com.qunzhixinxi.hnqz.admin.api.model.output;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author winter
 * @date 2021-03-03 18:15:22
 */
@Data
public class WmTaskSettleNoteOutput {

	/**
	 * 任务ID
	 */
	private Integer id;

	/**
	 * 任务类型id
	 */
	private String taskTypeId;

	/**
	 * 任务类型名称
	 */
	private String taskTypeName;

	/**
	 * 积分包id
	 */
	private String scorePackageId;

	/**
	 * 积分包名称
	 */
	private String scorePackageName;

	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;

	/**
	 * 任务用户ID
	 */
	private String taskUserId;

	/**
	 * 结算表id
	 */
	private String noteId;

	/**
	 * 项目编号
	 */
	private String xmbm;

	/**
	 * 访视阶段
	 */
	private String visitStage;

	/**
	 * 结算编号
	 */
	private String settleNo;

	/**
	 * 税邦云流水号
	 */
	private String streamId;

	/**
	 * 折扣
	 */
	private BigDecimal discount;

	/**
	 * 结算金额
	 */
	private BigDecimal settleAmount;

	/**
	 * 结算状态
	 */
	private Integer settleNoteStatus;

	/**
	 * 发票类目
	 */
	private Integer invoiceType;

	/**
	 * 结算渠道
	 */
	private String subType;


	/**
	 * 税源地名称
	 */
	private String subjectLocationName;

	/**
	 * 发票类目名称
	 */
	private String categoryName;

	/**
	 * 提交时间
	 */
	private LocalDateTime subTime;

	/**
	 * 提交到零工平台的时间
	 */
	private LocalDateTime subToGigTime;

	/**
	 * 回调时间
	 */
	private LocalDateTime notifyTime;

	/**
	 * 用户姓名
	 */
	private String realName;

	/**
	 * 用户手机号
	 */
	private String username;

	/**
	 * 任务的完成时间
	 */
	private LocalDateTime lookintoDate;

	/**
	 * 实际结算金额
	 */
	private BigDecimal actualAmount;

	/**
	 * 任务积分
	 */
	private Integer score;
}
