package com.qunzhixinxi.hnqz.admin.api.vo;

import com.qunzhixinxi.hnqz.admin.api.constant.UpmsState;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 财务结算复核详情VO
 *
 * @author lixuesong
 * @date 2024/01/09
 */
@Data
public class SettleFinancialReviewSettleDetailVO implements Serializable {
	private static final long serialVersionUID = 1690853997106657014L;

	/**
	 * 结算id
	 */
	private String noteId;

	/**
	 * 积分包id
	 */
	private String packageId;

	/**
	 * 用户id
	 */
	private String userId;

	/**
	 * 企业id
	 */
	private Integer deptId;

	/**
	 * 用户姓名
	 */
	private String realname;

	/**
	 * 用户名
	 */
	private String username;

	/**
	 * 结算渠道名称
	 */
	private String subjectLocationName;

	/**
	 * 结算金额
	 */
	private BigDecimal settleAmount;

	/**
	 * 实际结算金额
	 */
	private BigDecimal actualAmount;

	/**
	 * 结算状态
	 */
	private Integer settleStatus;

	/**
	 * 结算状态名称
	 */
	private String settleStatusName;

	/**
	 * 折扣
	 */
	private BigDecimal discount;

	/**
	 * 复核状态
	 */
	private UpmsState.SettleFinancialReviewStatus reviewStatus;

}
