package com.qunzhixinxi.hnqz.admin.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * 用户区域临时表mapper
 *
 * @author jimmy
 * @date 2024-09-27 17:14
 */
@Mapper
public interface SysUserAreaTempMapper {


    void createTempTable(@Param(value = "tableName") String tableName);

    void batchInsertTempData(@Param(value = "tableName") String tableName,
                             @Param(value = "list") Collection<Long> userIds);
    void dropTempTable(@Param(value = "tableName") String tableName);
}
