package com.qunzhixinxi.hnqz.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.qunzhixinxi.hnqz.admin.api.entity.WmPackageTaskTypeQty;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 积分包任务类型数量mapper
 *
 * @author jimmy
 * @date 2024-08-17 23:31
 */
@Mapper
public interface WmPackageTaskTypeQtyMapper extends BaseMapper<WmPackageTaskTypeQty> {


    default List<WmPackageTaskTypeQty> listByPackageId(Integer packageId) {
        return this.selectList(Wrappers.<WmPackageTaskTypeQty>lambdaQuery().eq(WmPackageTaskTypeQty::getPackageId, packageId));
    }

}
