package com.qunzhixinxi.hnqz.admin.service;

import com.qunzhixinxi.hnqz.admin.api.entity.SysCsmUserRelation;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Set;
import java.util.concurrent.atomic.AtomicInteger;

/**
* @author li312
* @description 针对表【sys_csm_user_relation(csm用户关系表)】的数据库操作Service
* @createDate 2024-03-04 10:08:51
*/
public interface SysCsmUserRelationService extends IService<SysCsmUserRelation> {

	/**
	 * 递归查询CSM所有下级的用户ID
	 *
	 * @param parentIds  父级ID
	 * @param limitCount 递归次数限制
	 * @return {@link Set}<{@link Integer}> 结果
	 */
	Set<Integer> recurseCsmLowerUserId(Set<Integer> parentIds, AtomicInteger limitCount);
}
