package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.entity.SysImplPlanDetailsItem;

import java.util.Collection;
import java.util.List;


/**
 * 执行计划服务详情项服务
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2024/05/19 15:54
 */
public interface SysImplPlanDetailsItemService extends IService<SysImplPlanDetailsItem> {

    /**
     * 保存详情项
     *
     * @param detailsItems 详情项
     */
    void saveItems(Collection<SysImplPlanDetailsItem> detailsItems);

    List<SysImplPlanDetailsItem> listDetailItems(Integer detailsId);
}
