package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.dto.SysUserDTO;
import com.qunzhixinxi.hnqz.admin.api.entity.SysUserCertificate;
import com.qunzhixinxi.hnqz.common.security.service.HnqzUser;

/**
 * 用户证明服务
 *
 * @author jimmy
 * @date 13/07/2024 11:16
 */
public interface SysUserCertificateService extends IService<SysUserCertificate> {

    /**
     * 保存用户证书
     *
     * @param resource 证书信息
     * @param user     操作人
     * @return 保存结果
     */
    Boolean createUserCertificate(SysUserDTO.OnCertificateCreate resource, HnqzUser user);
}
