package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.entity.SysUserDrug;

import java.util.List;

/**
 * 用户管理员药品关系服务
 *
 * @author jimmy
 * @date 2024-10-20 14:08
 */
public interface SysUserDrugService extends IService<SysUserDrug> {

    /**
     * 根据用户ID获取绑定的产品
     *
     * @param uId 用户ID
     * @return 药品ID列表
     */
    List<Integer> listDrugIdByUserId(Integer uId);
}
