
package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.entity.WmTaskSettleNote;
import com.qunzhixinxi.hnqz.admin.api.model.output.WmTaskSettleNoteOutput;
import com.qunzhixinxi.hnqz.common.core.util.R;

/**
 *
 *
 * @author winter
 * @date 2021-03-03 18:15:22
 */
public interface WmTaskSettleNoteService extends IService<WmTaskSettleNote> {

	R getSettleInfo(WmTaskSettleNote wmTaskSettleNote);

	IPage<WmTaskSettleNoteOutput> getWmTaskSettleInfoPage(Page page, WmTaskSettleNote wmTaskSettleNote);
	IPage<WmTaskSettleNoteOutput> getWmTaskForSettlePage(Page page, WmTaskSettleNote wmTaskSettleNote);

	R saveSettleInfo(WmTaskSettleNote wmTaskSettleNote);

	R subSettleInfo(WmTaskSettleNote note);

	R singletSettle(WmTaskSettleNote note);

	R batchSettle(WmTaskSettleNote note);

	R revokeSettle(WmTaskSettleNote note);

	R settleNotify(String streamId);
}
