package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.dto.WmUserSignDTO;
import com.qunzhixinxi.hnqz.admin.api.entity.WmUserSign;
import com.qunzhixinxi.hnqz.common.core.util.R;
import com.qunzhixinxi.hnqz.common.security.service.HnqzUser;

/**
 * 用户签到表
 *
 * @author pigx code generator
 * @date 2020-07-14 20:10:02
 */
public interface WmUserSignService extends IService<WmUserSign> {

    R<?> saveWmUserSign(WmUserSign wmUserSign);

    /**
     * 会员临时签到
     *
     * @param resource 签到信息
     * @param user     用户信息
     * @return 签到结果
     */
    String doTempSign(WmUserSignDTO.OnTempSign resource, HnqzUser user);
}
