
package com.qunzhixinxi.hnqz.daemon.quartz.mapper;

import com.qunzhixinxi.hnqz.admin.api.entity.SysUser;
import com.qunzhixinxi.hnqz.common.data.datascope.DataScopeMapper;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.TreeMap;

/**
 * <p>
 * 用户表 Mapper 接口
 * </p>
 *
 * @author hnqz
 * @since 2017-10-29
 */
@Mapper
public interface SysUserMapper extends DataScopeMapper<SysUser> {

	@MapKey(value = "user_id")
	List<TreeMap<String, Object>> listUserCertFailure();
}
