package com.qunzhixinxi.hnqz.report.service;

import java.util.List;
import java.util.Map;

/**
 * 新版报告导出
 *
 * @author lixuesong
 * @date 2023/12/08
 */
public interface NewReportService {

    /**
     * 导出
     *
     * @param packageIds 积分包id
     * @param taskStatus 任务状态
     * @param deptId     部门id
     * @return {@link Boolean} 结果
     */
    Map<String, String> export(List<String> packageIds, String taskStatus, Integer deptId) throws Exception;
}
