package com.qunzhixinxi.hnqz.report.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.api.entity.WmScorePackage;
import com.qunzhixinxi.hnqz.admin.api.entity.WmScorePackageStatus;

import java.util.List;
import java.util.Map;

/**
 * 积分包状态
 *
 * @author pigx code generator
 * @date 2020-07-17 23:32:01
 */
public interface WmScorePackageStatusService extends IService<WmScorePackageStatus> {

	/**
	 * 查询服务周期（服务周期字段的取值 改为：积分包领取审核通过时间~管理员审核积分包时最后审核通过的时间）
	 *
	 * @param wmScorePackage
	 * @return
	 */
	Map<String, String> getServiceTimeRange(WmScorePackage wmScorePackage);

	/**
	 * 查询服务周期（服务周期字段的取值 改为：积分包领取审核通过时间~管理员审核积分包时最后审核通过的时间）
	 *
	 * @param scorePackageList 积分包列表
	 * @return 结果
	 */
	Map<String, String> getServiceTimeRange(List<WmScorePackage> scorePackageList);

}
